商品取扱店舗一覧取得
GET
/products/{product_id}/stores
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/example/stores?assign_division=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/example/stores?assign_division=0' \ --header 'Authorization: Bearer <token>'商品取扱店舗情報一覧を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_id
required
string
商品ID
※ ユーザーアクセストークンを利用する場合、ユーザーの所属する店舗で販売している商品IDを指定してください。
Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
storeId:店舗ID
limit
integer
上限数
page
integer
ページ
store_id
integer
店舗ID
assign_division
string
取扱区分 (0:販売する、1:販売しない)
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
productId
商品ID:数字15桁以内。
string
storeId
店舗ID:数字9桁以内。
string
assignDivision
取扱区分:0:販売する/1:販売しない
string
Example
[ { "productId": "string", "storeId": "string", "assignDivision": "string" }]